name: CU Install Profile
type: profile
description: "CU D10 Installation Profile"
core_version_requirement: "^10"
version: '1.0.2'

distribution:
  name: University of Colorado
  # If you want your distribution to pre-select a language you can specify
  # the language code, as well. This will prevent the user from selecting
  # a language code in the user interface. While not recommended for generic
  # community distributions, this can be very useful for distributions that
  # are tailored to a language-specific audience (for example government
  # institutions in a certain country) but also site-specific installation
  # profiles. Note that this language code will also be used when installing
  # the site via Drush.
  #
  # To set your theme as the theme for the distribution installation uncomment the following:
  #
  # install:
  #   theme: my_theme
  #   # To redirect to specific URL after profile installation set your finish_url: 
  #   finish_url: ?welcome=1
  langcode: en

# Modules to install to support the profile.
install:
  - admin_toolbar
  - admin_toolbar_links_access_filter
  - admin_toolbar_tools
  - aggregator
  - antibot
  - automated_cron
  - automated_testing_kit
  - block_content
  - breakpoint
  - ckeditor5
  - comment
  - config
  - config_update
  - consumer_image_styles
  - consumers
  - contact
  - contextual
  - crop
  - cu_boulder_content_types
  - cu_default_content
  - dblog
  - devel
  - devel_generate
  - editor
  - embed
  - entity_embed
  - externalauth
  - features
  - field_group
  - field_ui
  - file
  - focal_point
  - gin_lb
  - gin_toolbar
  - help
  - history
  - image
  - inline_form_errors
  - jsonapi
  - jsonapi_extras
  - layout_builder
  - layout_builder_modal
  - layout_discovery
  - media
  - media_library
  - media_library_form_element
  - menu_ui
  - options
  - pantheon_advanced_page_cache
  - paragraphs
  - path
  - pathauto
  - qa_accounts
  - redirect
  - search
  - serialization
  - shortcode
  - shortcut
  - simple_sitemap
  - symfony_mailer
  - taxonomy
  - telephone
  - toolbar
  - twig_tweak
  - ucb_admin_menus
  - ucb_bootstrap_layouts
  - ucb_campus_news
  - ucb_ckeditor_plugins
  - ucb_focal_image_enable
  - ucb_migration_shortcodes
  - ucb_site_configuration
  - ucb_user_invite
  - views
  - views_ui
  - webform
  - webform_ui
  
# Required modules
# Note that any dependencies of the modules listed here will be installed automatically.
dependencies:
  - node
  - block
  - views
  - media

# List any themes that should be installed as part of the profile installation.
# Note that this will not set any theme as the default theme.
themes:
  - boulder_base
  - gin
